--- title: "Lead Generation | Managing the CRM process in CMiC" slug: "recipe-om-managing-the-crm-process" updated: 2024-02-22T19:59:15Z published: 2024-02-22T19:59:15Z canonical: "developers.cmicglobal.com/recipe-om-managing-the-crm-process" --- > ## Documentation Index > Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt > Use this file to discover all available pages before exploring further. # Managing the CRM process ## Step 1: Retrieve a specific PM Project via company and project code Retrieve project details for a specific project code using the following finder: ``` finder=selectByCompProj;companyCode=001,projectCode=16-001 ``` **Request** ``` curl --location --request GET 'https://mobtest.cmiccloudr12.com/cmictestrti/jc-rest-api/rest/1/jcjob?finder=selectJob;compCode=001,jobCodeVar=0345' \ --header 'Authorization: Basic Your-User:Pass' ``` ## Step 2: Retrieve project contact records Get all contacts for a specific project using the following finder: ``` finder=selectProjContacts;compCode=001,projCode=16-001 ``` **Request** ``` curl --location --request GET 'https://mobtest.cmiccloudr12.com/cmictestrti/pm-rest-api/rest/1/pmprojcontact?finder=selectProjContacts;compCode=001,projCode=16-001' \ --header 'Authorization: Basic Your-User:Pass' ``` ## Step 3: Retrieve project key player records Retrieve project key players using company code and project code. ``` finder=selectByCompProj;CompCode=001,ProjCode=16-001 ``` **Request** ``` curl --location --request GET 'https://mobtest.cmiccloudr12.com/cmictestrti/pm-rest-api/rest/1/pmkeyplayers?finder=selectByCompProj;CompCode=001,ProjCode=16-001' \ --header 'Authorization: Basic Your-User:Pass' ``` ## Step 4: Retrieve vendor records **Request** ``` curl --location --request GET 'https://mobtest.cmiccloudr12.com/cmictestrti/sys-rest-api/rest/1/businesspartner?finder=selectBusinessPartner;businessPartner=AGO' \ --header 'Authorization: Basic Your-User:Pass' ``` ## Step 5: Retrieve job records **Request** ``` curl --location --request GET 'https://mobtest.cmiccloudr12.com/cmictestrti/jc-rest-api/rest/1/jcjob?finder=selectJob;compCode=001,jobCodeVar=0345' \ --header 'Authorization: Basic Your-User:Pass' ``` ## Step 6: Retrieve Job Cost Code records **Request** ``` curl --location --request GET 'https://mobtest.cmiccloudr12.com/cmictestrti/jc-rest-api/rest/1/jcjobcostcodes?finder=selectJobPhases;auditDate=2016-01-01' \ --header 'Authorization: Basic Your-User:Pass' ``` ## Step 7: Retrieve Job Cost Code Category records **Request** ``` curl --location --request GET 'https://mobtest.cmiccloudr12.com/cmictestrti/jc-rest-api/rest/1/jcjobcostcatcodes?finder=selectCostCatCodes;jobCode=0345' \ --header 'Authorization: Basic Your-User:Pass' ``` ## Step 8: Retrieve Employee record **Request** ``` curl --location --request GET 'https://mobtest.cmiccloudr12.com/cmictestrti/hcm-rest-api/rest/1/pyemployee?finder=PyEmployeeFinder;EmpNoVar=02085&onlyData=true' \ --header 'Authorization: Basic Your-User:Pass' ``` ## Step 9: Retrieve Job Cost labor detail records **Request** ``` curl --location --request GET 'https://mobtest.cmiccloudr12.com/cmictestrti/jc-rest-api/rest/1/jcdetailposted?finder=JcDetailPostedFinder;CompCode=001' \ --header 'Authorization: Basic Your-User:Pass' ``` ## Step 10: Create Opportunity in CMiC **Request** ``` curl --location --request POST 'https://mobtest.cmiccloudr12.com/cmictestrti/om-rest-api/rest/1/omopportunity' \ --header 'Content-Type: application/vnd.oracle.adf.resourceItem+json' \ --header 'Authorization: Basic Your-User:Pass' \ --data-raw '{ "OmopvCompCode": "001", "OmopvProjCompCode": "001", "OmopvOppoCode": "15009", "OmopvOppoName": "Test Entry", "OmopvPartnCode": "ULV", "OmopVUuid": "" }' ```